import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { FooterComponent } from './misc/footer/footer.component';
import { NewsDashboardComponent } from './news/news-dashboard/news-dashboard.component';
import { HttpClientModule } from '@angular/common/http';
import { TopNewsDashboardComponent } from './news/top-news-dashboard/top-news-dashboard.component';
import { AllNewsDashboardComponent } from './news/all-news-dashboard/all-news-dashboard.component';
import { TabsComponent } from './misc/tab/tabs/tabs.component';
import { TabComponent } from './misc/tab/tab/tab.component';
import { FontAwesomeModule } from '@fortawesome/angular-fontawesome';
import { NewsTeaserComponent } from './news/news-teaser/news-teaser.component';


@NgModule({
  declarations: [
    AppComponent,
    FooterComponent,
    NewsDashboardComponent,
    TopNewsDashboardComponent,
    AllNewsDashboardComponent,
    TabsComponent,
    TabComponent,
    NewsTeaserComponent,
  ],
  imports: [
    FormsModule,
    BrowserModule.withServerTransition({ appId: 'serverApp' }),
    AppRoutingModule,
    HttpClientModule,
    FontAwesomeModule,
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
