import { Component, OnInit } from '@angular/core';
import { NewsService } from '../../service/news.service';
import { Article } from '../../models/model/article';
import { apiKey } from '../../../environments/.api-key';
import { NewsSearchDto } from '../../models/dto/news-search.dto';

@Component({
  selector: 'app-all-news-dashboard',
  templateUrl: './all-news-dashboard.component.html',
  styleUrls: ['./all-news-dashboard.component.scss']
})
export class AllNewsDashboardComponent implements OnInit {

  searchDto: NewsSearchDto = {apiKey};
  news: Article[];
  constructor(protected newsService: NewsService) { }


  search(): void {
    this.newsService.searchAllNews(this.searchDto).subscribe(response => {
      this.news = response.articles;
    });
  }

  ngOnInit(): void {
  }


}
