import { Component, OnInit, ContentChild } from '@angular/core';
import { Article } from '../../models/model/article';
import { NewsService } from '../../service/news.service';
import { apiKey } from '../../../environments/.api-key';
import { CountryCode } from '../../models/enum/country-codes';
import { TopHeadlineSearchDto } from '../../models/dto/top-headline-search.dto';
import { Category } from 'src/app/models/enum/category';

@Component({
  selector: 'app-top-news-dashboard',
  templateUrl: './top-news-dashboard.component.html',
  styleUrls: ['./top-news-dashboard.component.scss']
})
export class TopNewsDashboardComponent implements OnInit {
  news: Article[];
  searchDto: TopHeadlineSearchDto = { apiKey, };
  selectedCountry: { key: string, value: CountryCode };
  selectedCategory: { key: string, value: Category };
  CountryCodes = CountryCode;
  Category = Category;
  constructor(protected newsService: NewsService) { }

  upateDto(): void {
    if (this.selectedCountry?.value) {
      this.searchDto.country = this.selectedCountry.value;
    } else {
      delete this.searchDto.country;
    }
    if (this.selectedCategory?.value) {
      this.searchDto.category = this.selectedCategory.value;
    } else {
      delete this.searchDto.category;
    }
    this.search();
  }


  search(): void {
    this.newsService.searchTopNews(
      this.searchDto
    ).subscribe(response => {
      this.news = response.articles;
    });
  }

  ngOnInit(): void {
    this.selectedCountry = { key: 'Germany', value: CountryCode.Germany };
    this.upateDto();
  }
}
