import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { environment } from '../../environments/environment';
import { TopHeadlineSearchDto } from '../models/dto/top-headline-search.dto';
import { NewsSearchDto } from '../models/dto/news-search.dto';
import { NewsResponse } from '../models/response/news-response';

@Injectable({
  providedIn: 'root'
})
export class NewsService {

  constructor(protected http: HttpClient) { }

  searchTopNews(searchDto: TopHeadlineSearchDto): Observable<NewsResponse> | null {
    return this.http.get<NewsResponse>(`${environment.apiUrl}/top-headlines`, { params: searchDto as any });
  }

  searchAllNews(searchDto: NewsSearchDto): Observable<NewsResponse> | null {
    return this.http.get<NewsResponse>(`${environment.apiUrl}/everything`, { params: searchDto as any });
  }
}
